Bug 115149 - usb memory stick won't mount
usb memory stick won't mount
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-06 18:12 EST by Steve Wilson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-14 19:16:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Wilson 2004-02-06 18:12:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007

Description of problem:
Problem:  The Mini-Cruzer 128 Mb USB memory stick (by SanDisk) does
not mount on the athlon kernel build. It refuses to accept an address.
 


Version-Release number of selected component (if applicable):
kernl-2.4.20

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora core with all packages on an AMD Athlon XP platform
(Throughbred?, Soyo Dragon Mobo?), update OS completely

or 

1. Install Red Hat 9, all packages on above hardware, no updates

NOTE: test platforms were set up with MS OS's using MBR and Linux
booting from grub on /boot on HDD partition. Maybe in error, I'm
making the assumption this doesn't matter.

2. boot, login as root, open terminal
3. run: # modprobe usb-storage 
4. add: /dev/sda1  /mnt/usbstick vfat user,noauto 0 0    to fstab
5. run: # mkdir /mnt/usbstick
6. run: tail -f s5 /var/log/messages
7. open second terminal
8. plug in USB memory stick
9. run: mount /mnt/usbstick
10. observe results in both terminal screens
    


Actual Results:  /var/log/messages showed USB storage modules loaded
properly, but USB device did not accept address.
mount command returned error: /dev/sda1 is not a valid block device

Expected Results:  USB device should have accepted address and mounted
without error allowing R/W access to files it contained

Additional info:

OS Installs:   Red Hat 9 from iso bootable CD -- no updates
 or:           Fedora core - all updates applied to Feb. 04, 2004
 
 common::   Custom install, packages --load Everthing.
 dual boot: MBR: Windows (W2K or XP), linux from linux /boot partition 
          
Hardware configurations:

Soyo Ultra Black Dragon(KT400), Athlon XP2200+, 256 Mb PC2700
Soyo Black Dragon, Athlon XP2400+ processor, 1 Gb PC2700

USB memory stick used in tests: Mini-Cruzer 128 (USB2.0)

Results: Same on both hardware platforms and both athlon kernel builds.

Comment: It works fine on the same hardware platforms above under
either W2K (2400+ platform) or XP (2200+ platform).

Details: After running "modprobe usb-storage"

  lsmod shows usb-storage, usb-core, usb-uhci all loaded.
  /var/log/messages output:

Feb 5 19:06:10 archimedes kernel: Initializing USB Mass Storage driver...
Feb 5 19:06:10 archimedes kernel: usb.c: registered new driver usb-storage
Feb 5 19:06:10 archimedes kernel: USB Mass Storage support registered.


  /var/log/messages output on plugging in the stick:

Feb 5 19:06:42 archimedes kernel: hub.c: new USB device 00:10.3-3,
assigned address 2
Feb 5 19:06:42 archimedes kernel: usb.c: USB device not accepting new
address=2 (error=-71)
Feb 5 19:06:57 archimedes kernel: hub.c: connect-debounce failed, port
3 disabled
Feb 5 19:14:52 archimedes kernel: hub.c: new USB device 00:10.3-3,
assigned address 3 
Feb 5 19:14:52 archimedes kernel: usb.c: USB device not accepting new
address=3 (error=-71)

 --repeated the last two entries up to address 8

/etc/fstab entry:

/dev/sda1 /mnt/usbstick vfat user,noauto 0 0

# mount /mnt/usbstick

gives error:

/dev/sda1 is not a valid block device

+++++++++++++++
Other tests (successful):

RH9 installed as above.
  i386 build on P3 and AMD (Gateways, around 1 GHz for both, 256 Mb)
  i686 build on P4 (2.0 GHz, Soyo P4X400, 256Mb PC2700)
  Mini-Cruzer (256 Mb and 128 Mb), Lexar (32 Mb) and PNY (128
Mb)sticks tested singly
  same fstab entry
  # modprobe usb-storage

  Results: builds work fine
           -Files read and write without any problem
           -USB Stick mounts and umounts without error
Comment 1 Steve Wilson 2004-02-14 19:15:08 EST
This is a non-Bug. USB 1.0 port was being used to mount a USB 2.0
device. The same basic hardware configuration was used in all of the
failure cases. 
For details on resolution, see discussion:
http://discuss.extremetech.com/extremetech/messages
   Thread:  OS BattleZone -  Using a USB flash drive with Linux
      posts #39991.33-39991.37
     


Note You need to log in before you can comment on or make changes to this bug.